<?php
/** 
 * Postfix Admin 
 * 
 * LICENSE 
 * This source file is subject to the GPL license that is bundled with  
 * this package in the file LICENSE.TXT. 
 * 
 * Further details on the project are available at : 
 *     http://www.postfixadmin.com or http://postfixadmin.sf.net 
 * 
 * File: create-bcc.php
 */
require_once ('common.php');
authentication_require_role('admin');
$SESSID_USERNAME = authentication_get_username();
if (authentication_has_role('global-admin')) {
    $list_domains = list_domains();
} else {
    $list_domains = list_domains_for_admin($SESSID_USERNAME);
}
$pBcc_text_error = '';
$pBcc_text = $PALANG['pBcc_text'];
if ($_SERVER['REQUEST_METHOD'] == "GET") {
    $fDomain = $list_domains[0];
    if (isset($_GET['domain']))
        $fDomain = escape_string($_GET['domain']);
    if (! in_array($fDomain, $list_domains)) {
        die("Invalid domain name selected, or you tried to select a domain you are not an admin for");
    }
    $tDomain = $fDomain;
    $result = db_query("SELECT * FROM $table_domain WHERE domain='$fDomain'");
    if ($result['rows'] == 1) {
        $row = db_array($result['result']);
        $tQuota = $row['maxquota'];
    }
    if (isset($_GET['type']))
        $fType = escape_string($_GET['type']);
    else
        $fType = 'recipient';
    if ($fType == 'recipient')
        $tBcc_welcome = $PALANG['pBcc_recipient_welcome'];
    else
        $tBcc_welcome = $PALANG['pBcc_sender_welcome'];
    $fBcc = '';
}
if ($_SERVER['REQUEST_METHOD'] == "POST") {
    if (isset($_POST['fUsername']) && isset($_POST['fDomain']))
        $fUsername = escape_string($_POST['fUsername']) . "@" . escape_string($_POST['fDomain']);
    if (isset($_POST['fDomain']))
        $fDomain = escape_string($_POST['fDomain']);
    if (isset($_POST['fType']))
        $fType = escape_string($_POST['fType']);
    else
        $fType = 'recipient';
    if ($fType == 'recipient')
        $tBcc_welcome = $PALANG['pBcc_recipient_welcome'];
    else
        $tBcc_welcome = $PALANG['pBcc_sender_welcome'];
    $fUsername = strtolower($fUsername);
    if (isset($_POST['fBcc']))
        $fBcc = escape_string($_POST['fBcc']);
    isset($_POST['fActive']) ? $fActive = escape_string($_POST['fActive']) : $fActive = "1";
    if ((! check_owner($SESSID_USERNAME, $fDomain)) && (! authentication_has_role('global-admin'))) {
        $error = 1;
        $tUsername = escape_string($_POST['fUsername']);
        $tDomain = $fDomain;
        $pBcc_text_error = $PALANG['pBcc_text_error1'];
    }
    $result = db_query("SELECT * FROM $table_alias WHERE address='$fUsername'");
    if ($result['rows'] != 1) {
        $error = 1;
        $tUsername = escape_string($_POST['fUsername']);
        $tDomain = $fDomain;
        $pBcc_text_error = $PALANG['pBcc_text_error2'];
    }
    if (empty($fBcc) or ! check_email($fBcc)) {
        $error = 1;
        $tUsername = escape_string($_POST['fUsername']);
        $tDomain = $fDomain;
        $pBcc_text_error = $PALANG['pBcc_text_error3'];
    }
    if ($error != 1) {
        if ($fActive == "on") {
            $sqlActive = db_get_boolean(True);
        } else {
            $sqlActive = db_get_boolean(False);
        }
        if ('pgsql' == $CONF['database_type']) {
            db_query('BEGIN');
        }
        switch ($fType) {
            case 'recipient':
                $result = db_query("SELECT * FROM $table_recipient_bcc WHERE recipient='$fUsername'");
                if ($result['rows'] == 1) {
                    $error = 1;
                    $tUsername = escape_string($_POST['fUsername']);
                    $tDomain = $fDomain;
                    $pBcc_text_error = $PALANG['pBcc_text_error4'];
                }
                $result = db_query("INSERT INTO $table_recipient_bcc (recipient,bcc,domain,created,modified,active) VALUES ('$fUsername','$fBcc','$fDomain',NOW(),NOW(),'$sqlActive')");
                if ($result['rows'] != 1) {
                    $tDomain = $fDomain;
                    $tMessage = $PALANG['pBcc_recipient_error'] . "<br />($fUsername -> $fBcc)</br />";
                } else {
                    $tMessage = $PALANG['pBcc_recipient_success'] . "<br />($fUsername -> $fBcc)";
                    db_log($SESSID_USERNAME, $fDomain, 'create_recipient_bcc', "$fUsername -> $fBcc");
                }
                break;
            case 'sender':
                $result = db_query("SELECT * FROM $table_sender_bcc WHERE sender='$fUsername'");
                if ($result['rows'] == 1) {
                    $error = 1;
                    $tUsername = escape_string($_POST['fUsername']);
                    $tDomain = $fDomain;
                    $tBcc = $fBcc;
                    $pBcc_text_error = $PALANG['pCreate_bcc_text_error5'];
                }
                $result = db_query("INSERT INTO $table_sender_bcc (sender,bcc,domain,created,modified,active) VALUES ('$fUsername','$fBcc','$fDomain',NOW(),NOW(),'$sqlActive')");
                if ($result['rows'] != 1) {
                    $tDomain = $fDomain;
                    $tMessage = $PALANG['pBcc_sender_error'] . "<br />($fUsername -> $fBcc)</br />";
                } else {
                    $tMessage = $PALANG['pBcc_sender_success'] . "<br />($fUsername -> $fBcc)";
                    db_log($SESSID_USERNAME, $fDomain, 'create_sender_bcc', "$fUsername -> $fBcc");
                }
            default:
                $error = 1;
                $tUsername = escape_string($_POST['fUsername']);
                $tDomain = $fDomain;
                $tBcc = $fBcc;
                $pBcc_text_error = $PALANG['pBcc_text_error6'];
        }
    }
}
include ("templates/header.php");
include ("templates/menu.php");
include ("templates/create-bcc.php");
include ("templates/footer.php");
/* vim: set expandtab softtabstop=3 tabstop=3 shiftwidth=3: */
?>
