<?php
/** 
 * Postfix Admin 
 * 
 * LICENSE 
 * This source file is subject to the GPL license that is bundled with  
 * this package in the file LICENSE.TXT. 
 * 
 * Further details on the project are available at : 
 *     http://www.postfixadmin.com or http://postfixadmin.sf.net 
 * 
 * @version $Id: delete.php 250 2007-12-02 13:59:33Z GingerDog $ 
 * @license GNU GPL v2 or later. 
 * 
 * File: delete.php
 * Used to delete admins, domains, mailboxes and aliases.
 * Note: if a domain is deleted, all mailboxes and aliases belonging 
 * to the domain are also removed.
 *
 * Template File: message.php
 *
 * Template Variables:
 *
 * tMessage
 *
 * Form POST \ GET Variables:
 *
 * fTable
 * fDelete
 * fDomain
 */
require_once ('common.php');
authentication_require_role('admin');
$SESSID_USERNAME = authentication_get_username();
$error = 0;
$fType = escape_string(safeget('type')); # see the if blocks below for valid values
$fDelete = escape_string(safeget('delete'));
$fDomain = escape_string(safeget('domain'));
$error = 0;
switch ($fType) {
    case 'recipient':
        if (! check_owner($SESSID_USERNAME, $fDomain)) {
            $error = 1;
            $tMessage = $PALANG['pBcc_delete_error'] . "<b>$fDomain</b>!</span>";
        } else {
            $result = db_query("DELETE FROM $table_recipient_bcc WHERE recipient='$fDelete' AND domain='$fDomain'");
            if ($result['rows'] != 1) {
                $error = 1;
                $tMessage = $PALANG['pBcc_recipient_delete_error'] . "<b>$fDelete</b> !</span>";
            } else {
                db_log($SESSID_USERNAME, $fDomain, 'delete_recipient_bcc', $fDelete);
            }
        }
        if ($error != 1) {
            if ($CONF['database_type'] == "pgsql")
                db_query('COMMIT');
            header("Location: list-bcc.php?domain=$fDomain");
            exit();
        }
        break;
    case 'sender':
        if (! check_owner($SESSID_USERNAME, $fDomain)) {
            $error = 1;
            $tMessage = $PALANG['pDelete_domain_error'] . "<b>$fDomain</b>!</span>";
        } else {
            $result = db_query("DELETE FROM $table_sender_bcc WHERE sender='$fDelete' AND domain='$fDomain'");
            if ($result['rows'] != 1) {
                $error = 1;
                $tMessage = $PALANG['pBcc_sender_delete_error'] . "<b>$fDelete</b> !</span>";
            } else {
                db_log($SESSID_USERNAME, $fDomain, 'delete_sender_bcc', $fDelete);
            }
        }
        if ($error != 1) {
            if ($CONF['database_type'] == "pgsql")
                db_query('COMMIT');
            header("Location: list-bcc.php?domain=$fDomain");
            exit();
        }
        break;
    default:
        # unknown $fTable value
        flash_error($PALANG['invalid_parameter']);
        break;
}
include ("templates/header.php");
include ("templates/menu.php");
include ("templates/message.php");
include ("templates/footer.php");
/* vim: set expandtab softtabstop=3 tabstop=3 shiftwidth=3: */
?>
