<?php
/** 
 * Postfix Admin 
 * 
 * LICENSE 
 * This source file is subject to the GPL license that is bundled with  
 * this package in the file LICENSE.TXT. 
 * 
 * Further details on the project are available at : 
 *     http://www.postfixadmin.com or http://postfixadmin.sf.net 
 * 
 * @version $Id: edit-mailbox.php 390 2008-06-17 21:40:33Z GingerDog $ 
 * @license GNU GPL v2 or later. 
 * 
 * File: edit-mailbox.php 
 * Used to update an existing mailboxes settings.
 * Template File: edit-mailbox.php
 *
 * Template Variables:
 *
 * tMessage
 * tName
 * tQuota
 *
 * Form POST \ GET Variables:
 *
 * fUsername
 * fDomain
 * fPassword
 * fPassword2
 * fName
 * fQuota
 * fActive
 */
require_once ('common.php');
authentication_require_role('admin');
$SESSID_USERNAME = authentication_get_username();
$fUsername = 'x';
$fDomain = 'y';
$error = 0;
if (isset($_GET['username']))
    $fUsername = escape_string($_GET['username']);
$fUsername = strtolower($fUsername);
if (isset($_GET['domain']))
    $fDomain = escape_string($_GET['domain']);
$pBcc_text = $PALANG['pBcc_text'];
if (! (check_owner($SESSID_USERNAME, $fDomain) || authentication_has_role('global-admin'))) {
    $error = 1;
    $tActive = $fActive;
    $tMessage = $PALANG['pBcc_edit_error'] . "$fDomain</span>";
}
if ($_SERVER['REQUEST_METHOD'] == "GET") {
    if (check_owner($SESSID_USERNAME, $fDomain) || authentication_has_role('global-admin')) {
        if (isset($_GET['type']))
            $fType = escape_string($_GET['type']);
        else
            $fType = 'recipient';
        if ($fType == 'recipient') {
            $result = db_query("SELECT * FROM $table_recipient_bcc WHERE recipient='$fUsername' AND domain='$fDomain'");
            if ($result['rows'] == 1) {
                $row = db_array($result['result']);
                $fBcc = $row['bcc'];
                $tActive = $row['active'];
                if ('pgsql' == $CONF['database_type']) {
                    $tActive = ('t' == $user_details['active']) ? 1 : 0;
                }
            }
            $tBcc_welcome = $PALANG['pBcc_recipient_edit'];
        } else {
            $result = db_query("SELECT * FROM $table_sender_bcc WHERE sender='$fUsername' AND domain='$fDomain'");
            if ($result['rows'] == 1) {
                $row = db_array($result['result']);
                $fBcc = $row['bcc'];
                $tActive = $row['active'];
                if ('pgsql' == $CONF['database_type']) {
                    $tActive = ('t' == $user_details['active']) ? 1 : 0;
                }
            }
            $tBcc_welcome = $PALANG['pBcc_sender_edit'];
        }
    }
}
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['cancel'])) {
    header("Location: list-bcc.php?domain=$fDomain");
    exit(0);
}
if ($_SERVER['REQUEST_METHOD'] == "POST") {
    if (isset($_POST['fType']))
        $fType = escape_string($_POST['fType']);
    if (isset($_POST['fBcc']))
        $fBcc = escape_string($_POST['fBcc']);
    if (isset($_POST['fActive']))
        $fActive = escape_string($_POST['fActive']);
    if ($fActive == "on") {
        $sqlActive = db_get_boolean(True);
        $fActive = 1;
    } else {
        $sqlActive = db_get_boolean(False);
        $fActive = 0;
    }
    $formvars['bcc'] = $fBcc;
    $formvars['active'] = $sqlActive;
    if ($fType == 'recipient') {
        $result = db_update('recipient_bcc', "recipient='$fUsername' AND domain='$fDomain'", $formvars, array('modified'));
        if ($result != 1) {
            $tMessage = $PALANG['pBcc_edit_recipient_error'];
        } else {
            db_log($SESSID_USERNAME, $fDomain, 'edit_recipient_bcc', $fUsername);
            header("Location: list-bcc.php?domain=$fDomain");
            exit(0);
        }
    } else {
        $result = db_update('sender_bcc', "sender='$fUsername' AND domain='$fDomain'", $formvars, array('modified'));
        if ($result != 1) {
            $tMessage = $PALANG['pBcc_edit_sender_error'];
        } else {
            db_log($SESSID_USERNAME, $fDomain, 'edit_sender_bcc', $fUsername);
            header("Location: list-bcc.php?domain=$fDomain");
            exit(0);
        }
    }
}
include ("templates/header.php");
include ("templates/menu.php");
include ("templates/edit-bcc.php");
include ("templates/footer.php");
/* vim: set expandtab softtabstop=3 tabstop=3 shiftwidth=3: */
?>
