<?php
/** 
 * Postfix Admin 
 * 
 * LICENSE 
 * This source file is subject to the GPL license that is bundled with  
 * this package in the file LICENSE.TXT. 
 * 
 * Further details on the project are available at : 
 *     http://www.postfixadmin.com or http://postfixadmin.sf.net 
 * 
 * @version $Id: list-virtual.php 284 2008-01-03 21:50:39Z GingerDog $ 
 * @license GNU GPL v2 or later. 
 * 
 * File: list-virtual.php
 * List virtual users for a domain.
 *
 * Template File: list-virtual.php
 *
 * Template Variables:
 *
 * tMessage
 * tAlias
 * tMailbox
 *
 * Form POST \ GET Variables:
 *
 * fDomain
 * fDisplay
 */
require_once ('common.php');
authentication_require_role('admin');
$SESSID_USERNAME = authentication_get_username();
if (authentication_has_role('global-admin')) {
    $list_domains = list_domains();
    $is_superadmin = 1;
} else {
    $list_domains = list_domains_for_admin(authentication_get_username());
    $is_superadmin = 0;
}
$tAlias = array();
$tMailbox = array();
$fDisplay = 0;
$page_size = $CONF['page_size'];
if ($_SERVER['REQUEST_METHOD'] == "GET") {
    if (isset($_GET['domain']))
        $fDomain = escape_string($_GET['domain']);
    if (isset($_GET['limit']))
        $fDisplay = intval($_GET['limit']);
} else {
    if (isset($_POST['fDomain']))
        $fDomain = escape_string($_POST['fDomain']);
    if (isset($_POST['limit']))
        $fDisplay = intval($_POST['limit']);
}
if (count($list_domains) == 0) {
    #   die("no domains");
    header("Location: list-domain.php"); # no domains (for this admin at least) - redirect to domain list
}
if ((is_array($list_domains) and sizeof($list_domains) > 0))
    if (empty($fDomain))
        $fDomain = $list_domains[0];
if (! check_owner(authentication_get_username(), $fDomain)) {
    #   die($PALANG['invalid_parameter']);
    header("Location: list-domain.php"); # domain not owned by this admin
    exit(0);
}
$query = "SELECT $table_recipient_bcc.recipient,$table_recipient_bcc.bcc,$table_recipient_bcc.modified,$table_recipient_bcc.active FROM $table_recipient_bcc WHERE $table_recipient_bcc.domain='$fDomain' ORDER BY $table_recipient_bcc.recipient LIMIT $fDisplay, $page_size";
if ('pgsql' == $CONF['database_type']) {
    ; //TODO
}
$result = db_query($query);
if ($result['rows'] > 0) {
    while ($row = db_array($result['result'])) {
        if ('pgsql' == $CONF['database_type']) {
            ; //TODO
        }
        $tRecipient[] = $row;
    }
}
$query = "SELECT $table_sender_bcc.sender,$table_sender_bcc.bcc,$table_sender_bcc.modified,$table_sender_bcc.active FROM $table_sender_bcc WHERE $table_sender_bcc.domain='$fDomain' ORDER BY $table_sender_bcc.sender LIMIT $fDisplay, $page_size";
if ('pgsql' == $CONF['database_type']) {
    ; //TODO
}
$result = db_query($query);
if ($result['rows'] > 0) {
    while ($row = db_array($result['result'])) {
        if ('pgsql' == $CONF['database_type']) {
            ; //TODO
        }
        $tSender[] = $row;
    }
}
$tCanAddBcc = true;
//$limit = get_domain_properties($fDomain);
$result = db_query("SELECT COUNT(*) FROM $table_recipient_bcc WHERE domain='$fDomain'");
$row = db_row($result['result']);
$limit['recipient_count'] = $row[0];

$result = db_query("SELECT COUNT(*) FROM $table_sender_bcc WHERE domain='$fDomain'");
$row = db_row($result['result']);
$limit['sender_count'] = $row[0];

$i = 0;
$current = 0;
$page_size = $CONF['page_size'];
$tmpstr = "";
$idxlabel = "";
$limit['recipient_pgindex_count'] = 0;
if ($limit['recipient_count'] > $page_size) {
    while ($current < $limit['recipient_count']) {
        $limitSql = ('pgsql' == $CONF['database_type']) ? "1 OFFSET $current" : "$current, 1";
        $query = "SELECT $table_recipient_bcc.recipient FROM $table_recipient_bcc WHERE $table_recipient_bcc.domain='$fDomain' ORDER BY $table_recipient_bcc.recipient LIMIT $limitSql";
        $result = db_query("$query");
        $row = db_array($result['result']);
        $tmpstr = $row['recipient'];
        //get first 2 chars
        $idxlabel = $tmpstr[0] . $tmpstr[1] . "-";
        ($current + $page_size - 1 <= $limit['recipient_count']) ? $current = $current + $page_size - 1 : $current = $limit['recipient_count'] - 1;
        $limitSql = ('pgsql' == $CONF['database_type']) ? "1 OFFSET $current" : "$current, 1";
        $query = "SELECT $table_recipient_bcc.recipient FROM $table_recipient_bcc WHERE $table_recipient_bcc.domain='$fDomain' ORDER BY $table_recipient_bcc.recipient LIMIT $limitSql";
        $result = db_query("$query");
        $row = db_array($result['result']);
        $tmpstr = $row['recipient'];
        $idxlabel = $idxlabel . $tmpstr[0] . $tmpstr[1];
        $current = $current + 1;
        $limit['recipient_pgindex'][] = $idxlabel;
        $i ++;
    }
    $limit['recipient_pgindex_count'] = $i;
}
$i = 0;
$current = 0;
$page_size = $CONF['page_size'];
$tmpstr = "";
$idxlabel = "";
$limit['sender_pgindex_count'] = 0;
if ($limit['sender_count'] > $page_size) {
    while ($current < $limit['sender_count']) {
        $limitSql = ('pgsql' == $CONF['database_type']) ? "1 OFFSET $current" : "$current, 1";
        $query = "SELECT $table_sender_bcc.sender FROM $table_sender_bcc WHERE $table_sender_bcc.domain='$fDomain' ORDER BY $table_sender_bcc.sender LIMIT $limitSql";
        $result = db_query("$query");
        $row = db_array($result['result']);
        $tmpstr = $row['sender'];
        //get first 2 chars
        $idxlabel = $tmpstr[0] . $tmpstr[1] . "-";
        ($current + $page_size - 1 <= $limit['sender_count']) ? $current = $current + $page_size - 1 : $current = $limit['sender_count'] - 1;
        $limitSql = ('pgsql' == $CONF['database_type']) ? "1 OFFSET $current" : "$current, 1";
        $query = "SELECT $table_sender_bcc.sender FROM $table_sender_bcc WHERE $table_sender_bcc.domain='$fDomain' ORDER BY $table_sender_bcc.sender LIMIT $limitSql";
        $result = db_query("$query");
        $row = db_array($result['result']);
        $tmpstr = $row['sender'];
        $idxlabel = $idxlabel . $tmpstr[0] . $tmpstr[1];
        $current = $current + 1;
        $limit['sender_pgindex'][] = $idxlabel;
        $i ++;
    }
    $limit['sender_pgindex_count'] = $i;
}
if (isset($limit)) {
    if ($fDisplay >= $page_size) {
        $tDisplay_back_show = 1;
        $tDisplay_back = $fDisplay - $page_size;
    }
    if (($limit['recipient_count'] > $page_size) or ($limit['sender_count'] > $page_size)) {
        $tDisplay_up_show = 1;
    }
    if ((($fDisplay + $page_size) < $limit['recipient_count']) or (($fDisplay + $page_size) < $limit['sender_count'])) {
        $tDisplay_next_show = 1;
        $tDisplay_next = $fDisplay + $page_size;
    }
}
// this is why we need a proper template layer.
$fDomain = htmlentities($fDomain, ENT_QUOTES);
include ("templates/header.php");
include ("templates/menu.php");
include ("templates/list-bcc.php");
include ("templates/footer.php");
/* vim: set expandtab softtabstop=3 tabstop=3 shiftwidth=3: */
?>
