<?php

/*
 +-----------------------------------------------------------------------+
 | plugins/changepasswd/changepasswd.inc                                 |
 |                                                                       |
 | This file is part of the RoundCube Webmail client                     |
 | Copyright (C) 2008, RoundCube Dev. - Switzerland                      |
 | Licensed under the GNU GPL                                            |
 |                                                                       |
 | PURPOSE:                                                              |
 |   Provide functionality for user password modification                |
 |                                                                       |
 +-----------------------------------------------------------------------+
 | Author: Philip Weir                                                   |
 +-----------------------------------------------------------------------+

 $Id: $

*/

$OUTPUT->set_pagetitle(rcube_label('changepasswd'));
$OUTPUT->add_handler('changepasswd', 'rcmail_changepasswd_form');
$OUTPUT->include_script('changepasswd.js');
$OUTPUT->add_label('nocurpassword', 'nopassword', 'passwordinconsistency');
$OUTPUT->send('changepasswd');

function rcmail_changepasswd_form($attrib) {
	list($form_start, $form_end) = get_form_tags($attrib, 'save-changepasswd');
	unset($attrib['form']);
	
	// return the complete edit form as table
	$out = $form_start;
	$table = new html_table(array('cols' => 2));

	// show old password field
	if (!isset($no_override['curpasswd']))
	{
		$field_id = 'rcmfd_curpwd';
		$input_curpasswd = new html_passwordfield(array('name' => '_curpasswd', 'id' => $field_id));
		
		$table->add('title', html::label($field_id, Q(rcube_label('curpasswd'))));
		$table->add(null, $input_curpasswd->show());
	}
	  
	// show new password field
	if (!isset($no_override['newpasswd']))
	{
		$field_id = 'rcmfd_newpwd';
		$input_newpasswd = new html_passwordfield(array('name' => '_newpasswd', 'id' => $field_id,));
		
		$table->add('title', html::label($field_id, Q(rcube_label('newpasswd'))));
		$table->add(null, $input_newpasswd->show());
	}
	
	// show new password confirm field
	if (!isset($no_override['confpasswd']))
	{
		$field_id = 'rcmfd_cnfpwd';
		$input_confpasswd = new html_passwordfield(array('name' => '_confpasswd', 'id' => $field_id));
		
		$table->add('title', html::label($field_id, Q(rcube_label('confpasswd'))));
		$table->add(null, $input_confpasswd->show());
	}
	
	$out .= $table->show($attrib);
	$out .= $form_end;
	
	return $out;  
}

?>