<?php

/*
 +-----------------------------------------------------------------------+
 | plugins/changepasswd/save_changepasswd.inc                            |
 |                                                                       |
 | This file is part of the RoundCube Webmail client                     |
 | Copyright (C) 2008, RoundCube Dev. - Switzerland                      |
 | Licensed under the GNU GPL                                            |
 |                                                                       |
 | PURPOSE:                                                              |
 |   Save user account password                                          |
 |                                                                       |
 +-----------------------------------------------------------------------+
 | Author: Philip Weir                                                   |
 +-----------------------------------------------------------------------+
 | Requires: plugins/changepasswd/config.inc.php                         |
 +-----------------------------------------------------------------------+

 $Id: $

*/

require_once('plugins/changepasswd/config.inc.php');

$username = $_SESSION['username'];
$old_pw = $_POST['_curpasswd'];
$new_pw = $_POST['_newpasswd'];

$user_db = new rcube_mdb2($changepasswd_config['db_dsnw'], $changepasswd_config['db_dsnr'], $changepasswd_config['db_persistent']);
$user_db->db_connect('w');

// check DB connections and exit on failure
if ($err_str = $user_db->is_error()) {
  raise_error(array(
    'code' => 603,
    'type' => 'db',
    'message' => $err_str), FALSE, TRUE);
}

if ($_SESSION['password'] == $RCMAIL->encrypt_passwd($old_pw)) {
    $updated = false;
    //$updated = $user_db->query($sql_update);
    $tmpEncPass = crypt($new_pw, '');
    $updated = $user_db->query(
        "UPDATE " . $changepasswd_config['db_name_table'] . 
        " SET " . $changepasswd_config['db_passwd_field'] . " = '" . $tmpEncPass . "'" . 
        " WHERE " . $changepasswd_config['db_user_field'] . " = '" . $username . "'"
    );

    if ($updated) {
        $_SESSION['password'] = $tmpEncPass;
        $OUTPUT->show_message('passwordchanged', 'confirmation');
    }
    else {
        $OUTPUT->show_message('passwordfailed', 'error');
    }
}
else {
    $OUTPUT->show_message('passwordfailed', 'error');
}

// go to next step
rcmail_overwrite_action('changepasswd');

?>
